commit:     3a5b3531d5e79c82b409b326323eabc9b54fdb98
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 11:07:30 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 12:23:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a5b3531

net-wireless/gnome-bluetooth: Version bump

Package-Manager: portage-2.2.27

 net-wireless/gnome-bluetooth/Manifest              |  1 +
 .../gnome-bluetooth/gnome-bluetooth-3.18.2.ebuild  | 75 ++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/net-wireless/gnome-bluetooth/Manifest 
b/net-wireless/gnome-bluetooth/Manifest
index 19377c9..d9df2a8 100644
--- a/net-wireless/gnome-bluetooth/Manifest
+++ b/net-wireless/gnome-bluetooth/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-bluetooth-3.16.1.tar.xz 1357388 SHA256 
3feb202d6780a53bc4a570eab5b0179f9351b32c1d3f28151ac2d222453ae08b SHA512 
811db04e1ab91585031e86cb55ee7764b0f0dfd88682afaee2e67f99af12619c540a48a3879afd8fb66e39cb35917f637b637e4b6f3ab8b8e908351426b77576
 WHIRLPOOL 
3019d80e64d5009f06480a65f19bf1b46daaeda4071345e0fea7da666d28301c51d6daf4a671c9582fbf64ff8e5b923444054e68c5a85d0a0e97351ed0bff648
 DIST gnome-bluetooth-3.18.1.tar.xz 793232 SHA256 
c51d5b896d32845a2b5bb6ccd48926c88c8e9ef0915c32d3c56cb7e7974d4a49 SHA512 
ed6c5b7e826275c894370084c5c2afa8c76751885caf0b0cad822e892249c44dd223ba377b6fc08a8f120d30377c80641fb31c69b8ec0ddd780e88aa1cadb224
 WHIRLPOOL 
22ab42417d3dd056d2ac7dab3774860fd11299beaf3f66d777121fd918d023e349b878b3df4d9a97c87da276a83b4f24307c1a4059cc34ffe30aed9452db55ce
+DIST gnome-bluetooth-3.18.2.tar.xz 793096 SHA256 
d8df073c331df0f97261869fb77ffcdbf4e3e4eaf460d3c3ed2b16e03d9c5398 SHA512 
4c0f23ad59a81fb7dd626da9ebaf0c7d671402a41ff6665d6b3e5f9e75a76e307c656759425972b7a00ceb71b4be28cf141fb5727ed59f4cec326cad615ca896
 WHIRLPOOL 
b5147dda96951e1fe428a77a448514dbbf225a94fd2b582e5b20823a0adc7a4bd816eb709fbe4847bc8f070fe80a94380dafee1dade58bc492df20cff598df24

diff --git a/net-wireless/gnome-bluetooth/gnome-bluetooth-3.18.2.ebuild 
b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.18.2.ebuild
new file mode 100644
index 0000000..e4819fd
--- /dev/null
+++ b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.18.2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit eutils gnome2 udev user
+
+DESCRIPTION="Bluetooth graphical utilities integrated with GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeBluetooth";
+
+LICENSE="GPL-2+ LGPL-2.1+ FDL-1.1+"
+SLOT="2/13" # subslot = libgnome-bluetooth soname version
+IUSE="+introspection"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.38:2
+       media-libs/libcanberra[gtk3]
+       >=x11-libs/gtk+-3.12:3[introspection?]
+       x11-libs/libnotify
+       virtual/udev
+       introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+"
+RDEPEND="${COMMON_DEPEND}
+       >=net-wireless/bluez-5
+"
+DEPEND="${COMMON_DEPEND}
+       !net-wireless/bluez-gnome
+       app-text/docbook-xml-dtd:4.1.2
+       dev-libs/libxml2:2
+       dev-util/gdbus-codegen
+       >=dev-util/gtk-doc-am-1.9
+       >=dev-util/intltool-0.40.0
+       dev-util/itstool
+       virtual/libudev
+       virtual/pkgconfig
+       x11-proto/xproto
+"
+# eautoreconf needs:
+#      gnome-base/gnome-common
+
+pkg_setup() {
+       enewgroup plugdev
+}
+
+src_prepare() {
+       # Regenerate gdbus-codegen files to allow using any glib version; bug 
#436236
+       # https://bugzilla.gnome.org/show_bug.cgi?id=758096
+       rm -v lib/bluetooth-client-glue.{c,h} || die
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               $(use_enable introspection) \
+               --enable-documentation \
+               --disable-desktop-update \
+               --disable-icon-update \
+               --disable-static
+}
+
+src_install() {
+       gnome2_src_install
+       udev_dorules "${FILESDIR}"/61-${PN}.rules
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       if ! has_version sys-auth/consolekit[acl] && ! has_version 
sys-apps/systemd[acl] ; then
+               elog "Don't forget to add yourself to the plugdev group "
+               elog "if you want to be able to control bluetooth transmitter."
+       fi
+}

Reply via email to